package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class SaleProductApplyAdapter extends BaseQuickAdapter<OrderBean, BaseViewHolder> {

    public SaleProductApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean item) {
        helper.setText(R.id.tv_name, item.getCustomerName());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(item.getStatus()));
        helper.setText(R.id.tv_dep, item.getUsedStockName());
        helper.setText(R.id.tv_from_dep, item.getEnterStockName());
        helper.setText(R.id.tv_person, item.getAppliedByName());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_code, item.getSerialNumber());
    }
}

